import request from "@/utils/request";
const api = "/mosty-api/mosty-base";
const gsxtApi = "/mosty-api/mosty-gsxt";
// 查询未读消息
export const queryYdxxPageList = (data) => {
  return request({
    url: api + "/fzmsg/queryYdxxPageList",
    method: "POST",
    data
  });
};
//查看未读详情
export const queryWdxxDetail = (data) => {
  return request({
    url: api + "/fzmsg/queryWdxxDetail",
    method: "POST",
    data
  });
};

// 查询一睹消息
export const queryWdxxPageList = (data) => {
  return request({
    url: api + "/fzmsg/queryWdxxPageList ",
    method: "POST",
    data
  });
};
export const queryYdxxDetail = (data) => {
  return request({
    url: api + "/fzmsg/queryYdxxDetail",
    method: "POST",
    data
  });
};
export const queryXxTj = (data) => {
  return request({
    url: api + "/fzmsg/queryXxTj",
    method: "POST",
    data
  });
};
// 下发指令
export const updateBkgzl = (params) => {
  return request({
    url: gsxtApi + "/tbGsxtBk/updateBkgzl",
    method: "get",
    params
  });
};
// 签收
export const qsXx = (data) => {
  return request({
    url: api + "/fzmsg/qsXx",
    method: "post",
    data
  });
};

// 预警发送指令
export const sendFqzl = (data) => {
  return request({
    url: gsxtApi + "/tbYjxx/sendFqzl",
    method: "post",
    data
  });
};

// 重点人发掘发送指令

export const ZdrfjSendFqzl = (data) => {
  return request({
    url: gsxtApi + "/tbGsxtRqfjRy/sendFqzl",
    method: "post",
    data
  });
};
//线索流转

export const qbcjSendFqzl = (data) => {
  return request({
    url: gsxtApi + "/qbcj/sendFqzl",
    method: "post",
    data
  });
};
export function upImageFileInfo(data) {
  return request({
    url: api + '/minio/file/uploadObj',
    method: 'post',
    data
  })
}
